Firefox has released their new Extended Support Release (ESR) version yesterday. They are going to support version 10 for the next 54 weeks. Firefox version 3.6, 4.0, and pretty much all the other versions are end of life at this point. Are you going to support version 10 with your extensions? Please don't make me use IE 9!